<?xml version='1.0' encoding='UTF-8'?><profile><name>TypeScript</name><language>ts</language><rules><rule><repositoryKey>typescript</repositoryKey><key>S108</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1110</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1116</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1125</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1143</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1226</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1264</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1301</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1479</key><priority>MAJOR</priority><parameters><parameter><key>maximum</key><value>30</value></parameter></parameters></rule><rule><repositoryKey>typescript</repositoryKey><key>S1516</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1523</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1525</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1526</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1533</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1656</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1751</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1764</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1854</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1862</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1871</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S1940</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2068</key><priority>BLOCKER</priority><parameters><parameter><key>credentialWords</key><value>password,pwd,passwd</value></parameter></parameters></rule><rule><repositoryKey>typescript</repositoryKey><key>S2123</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2201</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2234</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2589</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2681</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2688</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2737</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2757</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2814</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2870</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S2871</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3516</key><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3616</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3699</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3799</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3854</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3923</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3972</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3981</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S3984</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4030</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4043</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4123</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4124</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4140</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4143</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4144</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4158</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4275</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4325</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4335</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4524</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4619</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4621</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4623</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S4822</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S878</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>typescript</repositoryKey><key>S905</key><priority>MAJOR</priority><parameters/></rule></rules></profile>